From 884d91f0bc86242a6a984cbe6335cf99cf57f3cd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 05 2020 17:17:23 +0000
Subject: [PATCH 548/2232] Resolve absurd_extreme_comparisons lint


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 16846fb..e298e88 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -218,7 +218,7 @@ fn r_return_sum(n1: usize, n2: usize) -> usize {
 }
 
 fn r_return_enum(n: u32) -> ffi::Enum {
-    if n <= 0 {
+    if n == 0 {
         ffi::Enum::AVal
     } else if n <= 2020 {
         ffi::Enum::BVal

